INITSCRIPT(5)

NAME
initscript - script that executes inittab commands.

SYNOPSIS
/bin/sh /etc/initscript id runlevels action process

DESCRIPTION
When the shell script /etc/initscript is present, init will use it to execute the commands from inittab. This script can be used to set things like ulimit and umask default values for every process.

EXAMPLES
This is a sample initscript, which might be installed on your system as /etc/initscript.sample.

    #
    # initscript   Executed by init(8) for every program it
    #              wants to spawn like this:
    #
    #              /bin/sh /etc/initscript <id> <level> <action> <process>
    #
      # Set umask to safe level, and enable core dumps.
      umask 022
      ulimit -c 2097151
      PATH=/bin:/sbin:/usr/bin:/usr/sbin
      export PATH
      # Execute the program.
      eval exec "$4"

FILES
/etc/inittab, /etc/initscript.

AUTHOR
Miquel van Smoorenburg ,<miquels@cistron.nl>

SEE ALSO
init(8), inittab(5).